Bug 115478 - The pam package still requires glib instead of glib2
The pam package still requires glib instead of glib2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-12 15:46 EST by W. Michael Petullo
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: pam-0.77-49
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-16 07:56:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2004-02-12 15:46:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.6)
Gecko/20040115 Epiphany/1.0.7

Description of problem:
The pam package still requires glib instead of glib2, despite
pam_console being linked against glib2.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
[mike@imp mike]$ rpm -qR pam
[...]
libglib-2.0.so.0
[...]

** AND **

[mike@imp mike]$ ldd /lib/security/pam_console.so             
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x6ff2b000)
        libc.so.6 => /lib/tls/libc.so.6 (0x6fdc3000)
        /lib/ld.so.1 => /lib/ld.so.1 (0x08000000)

** BUT **

RPM specification for pam says:

Requires: [...], glib, [...]
BuildPrereq: [...], glib-devel, [...]

This should be glib2 and glib2-devel

Additional info:
Comment 1 W. Michael Petullo 2004-05-02 20:02:44 EDT
This bug still exists in Fedora Core 2 Test 3.
Comment 2 W. Michael Petullo 2004-05-02 20:05:33 EDT
triage->easyfix
Comment 3 Nalin Dahyabhai 2004-06-21 14:20:21 EDT
Fixing.
Comment 4 Leonard den Ottolander 2004-07-08 10:38:24 EDT
This has neither been pushed to development nor testing. Both are
still at 0.77-47.
Comment 5 Alan Cox 2004-07-10 10:01:29 EDT
There was no version > -47. I've built -48/-49 which actually does not
require glib1 any more

Note You need to log in before you can comment on or make changes to this bug.